package com.persagy.dmp.rwd.edit.controller;

import com.persagy.common.criteria.JacksonCriteria;
import com.persagy.common.web.MapResponse;
import com.persagy.common.web.PagedResponse;
import com.persagy.dmp.rwd.edit.entity.ClassDefChangeRecord;
import com.persagy.dmp.rwd.edit.service.ClassDefChangeRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/rwdedit/classDef/changeRecord")
public class ClassDefChangeRecordController {

    @Autowired
    private ClassDefChangeRecordService service;

    @PostMapping("/query")
    public PagedResponse<ClassDefChangeRecord> query(@RequestBody JacksonCriteria criteria) {
        return service.query(criteria);
    }

    @PostMapping("/create")
    public MapResponse create(@RequestBody ClassDefChangeRecord param) {
        return service.create(param);
    }

    @PostMapping("/update")
    public MapResponse update(@RequestBody List<ClassDefChangeRecord> list) {
        return service.update(list);
    }

    @PostMapping("/delete")
    public MapResponse delete(@RequestBody List<Integer> idList) {
        return service.delete(idList);
    }

    @PostMapping("/addVersion")
    public MapResponse addVersion(@RequestParam String version, @RequestBody List<Integer> idList) {
        return service.addVersion(version, idList);
    }

}
